### Method

# Foundry TemplateManager list_code_templates

#### Declaration [src]

    DexFuture*
    foundry_template_manager_list_code_templates (
      FoundryTemplateManager* self,
      FoundryContext* context
    )

#### Description [src]

Queries all `FoundryTemplateProvider` for available `FoundryCodeTemplate`.

The resulting module may not be fully populated by all providers by time it resolves. You may await the completion of all providers by awaiting `foundry_list_model_await()` for the completion of all providers.

This allows the consumer to get a dynamically populating list model for user interfaces without delay.

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryCodeTemplate`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.